This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 135301 - Please include mppe module
Please include mppe module
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 16:30 EDT by Nils O. Selåsdal
Modified: 2015-01-04 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-20 15:17:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nils O. Selåsdal 2004-10-11 16:30:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
I was hoping for the fedora kernel to have mppe support;
[root@asgaard root]# modprobe ppp-compress-18
FATAL: Module ppp_mppe not found.

Seems not. This is an RFE to build/include the mppe module in future
Fedora releases.

Version-Release number of selected component (if applicable):
all

How reproducible:
Always
Comment 1 Dave Jones 2004-11-20 15:17:53 EST
not included upstream yet.
Comment 2 Albert Strasheim 2005-10-28 20:25:44 EDT
This patch still isn't included upstream. Meanwhile, support for MPPE has been
added to ppp 2.4.3 that will ship with FC5.

This patch will be very useful for people building VPN servers using FC. Any
chance of getting this patch included? If not, what can be done so that it might
be considered for inclusion.

The patches now live at http://mppe-mppc.alphacron.de/. A patch for 2.6.13 is
available from that site.



Comment 3 Albert Strasheim 2005-10-29 07:32:23 EDT
ccording to http://pptpclient.sourceforge.net/, the MPPE patch was added to
2.6.12-rc4-mm2. Any chance of us seeing this in FC5?
Comment 4 Albert Strasheim 2005-10-31 04:28:27 EST
Seems the patch at http://mppe-mppc.alphacron.de/ isn't the one in Andrew
Morton's tree.

Note You need to log in before you can comment on or make changes to this bug.